<table>
  <thead>
    <tr>
      <th colspan="7">{{year}} {{month}}</th>
    </tr>
    <tr>
      <th *ngFor="let weekDay of weekDays">{{weekDay}}</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let week of weeks">
      <td *ngFor="let day of week.days"
          [ngClass]="{marked: day.marked}"
          (click)="onDayClicked(day)">
        <span *ngIf="day.date === 0">&nbsp;</span>
        <span *ngIf="day.date > 0">{{day.date}}</span>
      </td>
    </tr>
  </tbody>
</table>
